gnutls_x509_policies_set(3)

NAME
gnutls_x509_policies_set - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_policies_set(gnutls_x509_policies_t policies, const struct gnutls_x509_policy_st * policy);

ARGUMENTS

gnutls_x509_policies_t policies
    An initialized policies structure

const struct gnutls_x509_policy_st * policy
    Contains the policy to set

DESCRIPTION
This function will store the specified policy in the provided policies structure.

RETURNS
On success, GNUTLS_E_SUCCESS (0), otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/